Daemon Power

The NetBSD Packages Collection: news/inn

Brief description of the package:
The public release of InterNet News (INN)

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://www.isc.org/software/inn/.

Please note that this package has a modified-bsd license.

The package is located in the "news/inn" directory. The current source version of the package is "inn-2.5.5nb2". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for news/inn :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: p5-MIME-tools-[0-9]* p5-IO-stringy-[0-9]* perl>=5.24.0 cwrappers>=20150314 perl<5.26.0 p5-MailTools-[0-9]* p5-TimeDate-[0-9]* p5-Net>=1.09 p5-Convert-BinHex-[0-9]* p5-Test-Most-[0-9]* p5-Exception-Class>=1.14 p5-Class-Data-Inheritable>=0.02 p5-Devel-StackTrace>=1.20 p5-Test-Deep>=0.119 p5-Test-Simple>=1.001010 p5-Test-Differences>=0.6400 p5-Text-Diff>=0.35 p5-Algorithm-Diff>=1.19 p5-Capture-Tiny-[0-9]* p5-Inline-C-[0-9]* p5-Inline>=0.58 p5-Parse-RecDescent>=1.80 p5-Text-Balanced-[0-9]* p5-Module-Build>=0.42050 p5-inc-latest-[0-9]* p5-CPAN-Meta>=2.142060 p5-Scalar-List-Utils>=1.33 p5-Test-Warn>=0.21 p5-Sub-Uplevel>=0.12 p5-File-ShareDir-Install-[0-9]* p5-Pegex>=0.55 p5-YAML-LibYAML-[0-9]* p5-File-Copy-Recursive-[0-9]* p5-IO-All-[0-9]* p5-File-MimeInfo-[0-9]* p5-File-BaseDir-[0-9]* p5-IPC-System-Simple-[0-9]* xdg-user-dirs-[0-9]* libxslt-[0-9]* libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 xmlcatmgr>=2.0beta1 libxml2>=2.6.2 libgcrypt>=1.6.0 libxml2>=2.8.0nb2 docbook-xml-[0-9]* docbook-xsl-[0-9]* docbook-xml>=4.2 perl>=5.0 p5-File-Which-[0-9]* p5-Test-Script>=1.05 p5-IPC-Run3>=0.039 p5-Probe-Perl>=0.01 p5-File-DesktopEntry-[0-9]* p5-File-BaseDir>=0.03 p5-URI-[0-9]* p5-Business-ISBN-[0-9]* p5-Business-ISBN-Data>=20140910.002 shared-mime-info-[0-9]* glib2>=2.4.0 libelf>=0.8.5 pcre>=8.31 pcre>=3.4nb1 libffi>=1.20 pcre>=8.30nb1 libffi>=3.0.11 glib2>=2.34.0 p5-File-ReadBackwards-[0-9]* p5-Test-Pod-Coverage>=1.08 p5-Pod-Coverage-[0-9]* p5-Devel-Symdump>=2.01 p5-Test-Pod>=1.22 p5-Test-Exception>=0.43 p5-Sub-Uplevel>=0.18 p5-Test-Simple>=0.1.302047 p5-Test-Warn>=0.30 p5-Data-Dumper-Names>=0.03 p5-PadWalker>0.13 p5-Text-Diff-[0-9]* p5-File-Slurp-[0-9]* p5-Test-Deep-[0-9]* p5-GD-[0-9]* gd>=2.0.28 fontconfig>=2.10.93 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 fontconfig>=2.1nb2 libwebp>=0.2.0 giflib>=5.1.0 png>=1.2.4 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 png>=1.6.0nb1 tiff>=4.0.3nb5 fontconfig>=2.10.93nb2 libwebp>=0.6.0 gd>=2.0.15nb1 gd>=2.2.4nb1 gnupg-[0-9]* readline>=2.2 readline>=6.0 .

This package requires the following package(s) to run: p5-MIME-tools-[0-9]* p5-IO-stringy-[0-9]* perl>=5.24.0 perl<5.26.0 p5-MailTools-[0-9]* p5-TimeDate-[0-9]* p5-Convert-BinHex-[0-9]* p5-GD-[0-9]* gd>=2.0.28 perl>=5.0 fontconfig>=2.10.93 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 fontconfig>=2.1nb2 libwebp>=0.2.0 giflib>=5.1.0 png>=1.2.4 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 png>=1.6.0nb1 tiff>=4.0.3nb5 fontconfig>=2.10.93nb2 libwebp>=0.6.0 gd>=2.0.15nb1 gd>=2.2.4nb1 gnupg-[0-9]* readline>=2.2 readline>=6.0 .

This package supports the following build-time options:

inet6
Enable support for IPv6.
perl
Enable Perl support.
python
Enable Python support.
uucp
Enable support for uucp.

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:inn-2.5.5.tgz(NetBSD 7.0)
arm:inn-2.5.3nb6.tgz(NetBSD 6.1_STABLE)
earm:inn-2.5.5.tgz(NetBSD 7.0)
earm:inn-2.5.5.tgz(NetBSD 7.0)
earmv6hf:inn-2.5.4.tgz(NetBSD 7.0)
earmv6hf:inn-2.5.5.tgz(NetBSD 7.0)
earmv7hf:inn-2.5.5.tgz(NetBSD 7.0)
earmv7hf:inn-2.5.5.tgz(NetBSD 7.99.21)
earmv7hfeb:inn-2.5.5.tgz(NetBSD 7.0)
i386:inn-2.5.5nb1.tgz(NetBSD 6.0)
i386:inn-2.5.5nb2.tgz(NetBSD 6.0)
i386:inn-2.5.5nb2.tgz(NetBSD 6.0)
i386:inn-2.5.5nb2.tgz(NetBSD 6.1)
i386:inn-2.5.5nb2.tgz(NetBSD 6.1)
i386:inn-2.5.5nb2.tgz(NetBSD 7.0)
i386:inn-2.5.5nb1.tgz(NetBSD 7.0.0_PATCH)
i386:inn-2.5.5nb2.tgz(NetBSD 7.0)
i386:inn-2.5.5nb2.tgz(NetBSD 7.0)
powerpc:inn-2.5.5nb2.tgz(NetBSD 6.0)
powerpc:inn-2.5.5nb1.tgz(NetBSD 6.0)
powerpc:inn-2.5.5nb2.tgz(NetBSD 6.0)
powerpc:inn-2.5.5nb2.tgz(NetBSD 6.1)
powerpc:inn-2.5.5.tgz(NetBSD 7.0)
sparc64:inn-2.5.3nb6.tgz(NetBSD 6.1_STABLE)
sparc64:inn-2.5.4nb1.tgz(NetBSD 7.0)
sparc64:inn-2.5.4nb1.tgz(NetBSD 7.0)
sparc64:inn-2.5.5.tgz(NetBSD 7.0)
sparc64:inn-2.5.4nb1.tgz(NetBSD 7.0)
x86_64:inn-2.5.5nb1.tgz(NetBSD 6.0)
x86_64:inn-2.5.5nb2.tgz(NetBSD 6.0)
x86_64:inn-2.5.5nb2.tgz(NetBSD 6.0)
x86_64:inn-2.5.5nb2.tgz(NetBSD 6.1)
x86_64:inn-2.5.5nb2.tgz(NetBSD 6.1)
x86_64:inn-2.5.5nb2.tgz(NetBSD 7.0)
x86_64:inn-2.5.5nb1.tgz(NetBSD 7.0.0_PATCH)
x86_64:inn-2.5.5nb2.tgz(NetBSD 7.0)
x86_64:inn-2.5.5nb2.tgz(NetBSD 7.0)
x86_64:inn-2.5.5nb2.tgz(NetBSD 7.0.1_PATCH)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]